Package org.drinkless.tdlib

# Class TdApi.BotAccessSettings

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.BotAccessSettings

Enclosing class:
  `TdApi`

public static class TdApi.BotAccessSettings extends TdApi.Object
Describes users that have access to a bot.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long[]`
  `addedUserIds`
  Identifiers of the users who can use the bot additionally to the owner of the bot.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isRestricted`
  True, if access to the bot is restricted to its owner and selected users.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BotAccessSettings()`
  Describes users that have access to a bot.
  `BotAccessSettings(boolean isRestricted, long[] addedUserIds)`
  Describes users that have access to a bot.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### isRestricted

    public boolean isRestricted
    True, if access to the bot is restricted to its owner and selected users.

  - ### addedUserIds

    public long[] addedUserIds
    Identifiers of the users who can use the bot additionally to the owner of the bot.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BotAccessSettings

    public BotAccessSettings()
    Describes users that have access to a bot.

  - ### BotAccessSettings

    public BotAccessSettings(boolean isRestricted, long[] addedUserIds)
    Describes users that have access to a bot.
    Parameters:
      `isRestricted` - True, if access to the bot is restricted to its owner and selected users.
      `addedUserIds` - Identifiers of the users who can use the bot additionally to the owner of the bot.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR